%define	_newconfigdir	%{_sysconfdir}/uucp
%define	_oldconfigdir	%{_sysconfdir}/uucp/oldconfig
%define	_varlogdir	%{_localstatedir}/log/uucp
%define	_varlockdir	%{_localstatedir}/lock/uucp
%define	_varspooldir	%{_localstatedir}/spool

Summary: The uucp utility for copying files between systems.
Name: uucp
Version: 1.07
Release: 11.2.1
License: GPL
Group: Applications/Communications
Source0: ftp://ftp.gnu.org/pub/gnu/uucp/uucp-%{version}.tar.gz
Source1: uucp.log
Source2: uucp.xinetd
Patch0: uucp-1.07-config.patch
Patch3: uucp-1.07-sigfpe.patch
Patch6: uucp-1.07-baudboy.patch
Patch8: uucp-1.06.1-pipe.patch
Patch9: uucp-1.07-lfs.patch
Prereq: fileutils /sbin/install-info
BuildPrereq: lockdev-devel >= 1.0.0-14
Requires: lockdev >= 1.0.0-14
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: tetex, texi2html

%description
The uucp command copies files between systems. Uucp is primarily used
by remote machines downloading and uploading email and news files to
local machines.

%prep
%setup -q
%patch0 -p1 -b .config
%patch3 -p1 -b .sigfpe
%patch6 -p1 -b .baudboy
%patch8 -p1 -b .pipe
%patch9 -p1 -b .lfs

%build
export CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE"
%configure --with-newconfigdir=%{_newconfigdir} --with-oldconfigdir=%{_oldconfigdir}
make all

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall install-info 

gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/uucp*

mkdir -p ${RPM_BUILD_ROOT}%{_varlogdir}
mkdir -p ${RPM_BUILD_ROOT}%{_varlockdir}

mkdir -p ${RPM_BUILD_ROOT}%{_varspooldir}/uucp
mkdir -p ${RPM_BUILD_ROOT}%{_varspooldir}/uucppublic
mkdir -p ${RPM_BUILD_ROOT}%{_oldconfigdir}

mkdir -p ${RPM_BUILD_ROOT}/usr/lib/uucp
ln -sf ../../sbin/uucico ${RPM_BUILD_ROOT}/usr/lib/uucp/uucico

mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
install -m 644 $RPM_SOURCE_DIR/uucp.log ${RPM_BUILD_ROOT}/etc/logrotate.d/uucp

mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/xinetd.d/uucp

# Create ghost files
for n in Log Stats Debug; do
    touch ${RPM_BUILD_ROOT}%{_varlogdir}/$n
done

# the following is kind of gross, but it is effective
for i in dial passwd port dialcode sys call ; do
cat > ${RPM_BUILD_ROOT}%{_newconfigdir}/$i <<EOF 
# This is an example of a $i file. This file is syntax compatible
# with Taylor UUCP (not HDB, not anything else). Please check uucp
# documentation if you are not sure how to configure Taylor UUCP config files.
# Edit the file as appropriate for your system, there are sample files
# in %{_datadir}/doc/uucp-%{version}/samples.

# Everything after a '#' character is a comment.
EOF
done

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

# some more documentation
texi2html -monolithic uucp.texi

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
# Create initial log files so that logrotate doesn't complain
for n in Log Stats Debug; do
	[ -f %{_varlogdir}/$n ] || touch %{_varlogdir}/$n
	chown uucp:uucp %{_varlogdir}/$n
done
chmod 644 %{_varlogdir}/Log %{_varlogdir}/Stats
chmod 600 %{_varlogdir}/Debug

/sbin/install-info %{_infodir}/uucp.info.gz %{_infodir}/dir

%preun
/sbin/install-info --del %{_infodir}/uucp.info.gz %{_infodir}/dir

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog NEWS TODO
%doc sample contrib uucp.html

%attr(6555,uucp,uucp)		%{_bindir}/cu
%attr(4555,uucp,uucp)		%{_bindir}/uucp
%attr(0755,root,root)		%{_bindir}/uulog
%attr(6555,uucp,uucp)		%{_bindir}/uuname
%attr(0755,root,root)		%{_bindir}/uupick
%attr(4555,uucp,uucp)		%{_bindir}/uustat
%attr(0755,root,root)		%{_bindir}/uuto
%attr(4555,uucp,uucp)		%{_bindir}/uux

%attr(6555,uucp,uucp)		%{_sbindir}/uucico
%attr(6555,uucp,uucp)		%{_sbindir}/uuxqt
%attr(0755,uucp,uucp)		%{_sbindir}/uuchk
%attr(0755,uucp,uucp)		%{_sbindir}/uuconv
%attr(0755,root,root)		%{_sbindir}/uusched

%attr(755,uucp,uucp)	%dir	/usr/lib/uucp
/usr/lib/uucp/uucico

%{_mandir}/man[18]/*
%{_infodir}/uucp.info*

%attr(0755,uucp,uucp)	%dir	%{_varlogdir}
%attr(0644,uucp,uucp)	%ghost	%{_varlogdir}/Log
%attr(0644,uucp,uucp)	%ghost	%{_varlogdir}/Stats
%attr(0600,uucp,uucp)	%ghost	%{_varlogdir}/Debug
%attr(755,uucp,uucp)	%dir	%{_varlockdir}
%attr(755,uucp,uucp)	%dir	%{_varspooldir}/uucp
%attr(775,uucp,uucp)	%dir	%{_varspooldir}/uucppublic

%config(noreplace)	/etc/logrotate.d/uucp
%config(noreplace)	/etc/xinetd.d/uucp

%dir	%{_newconfigdir}
%dir	%{_oldconfigdir}
%attr(0640,root,uucp)	%config(noreplace)	%{_newconfigdir}/call
%config(noreplace)	%{_newconfigdir}/dial
%config(noreplace)	%{_newconfigdir}/dialcode
%attr(0640,root,uucp)	%config(noreplace)	%{_newconfigdir}/passwd
%config(noreplace)	%{_newconfigdir}/port
%config(noreplace)	%{_newconfigdir}/sys

%changelog
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.07-11.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.07-11.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Jul 15 2005 Peter Vrabec <pvrabec@redhat.com> 1.07-11
- use -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE together with RPM_OPT_FLAGS

* Thu Jul 14 2005 Peter Vrabec <pvrabec@redhat.com> 1.07-10
- revert fix from 1.07-9
- fix truncation of values on 32b platforms where statvfs64
  is being called on a large file system (#153259)

* Mon Apr 19 2005 Peter Vrabec <pvrabec@redhat.com> 1.07-9
- long long fsu_bavail in struct fs_usage

* Wed Mar 23 2005 Peter Vrabec <pvrabec@redhat.com> 1.07-8
- add texi2html to BuildRequires

* Tue Mar 16 2005 Peter Vrabec <pvrabec@redhat.com>
- include the default xinetd file

* Thu Feb 08 2005 Peter Vrabec <pvrabec@redhat.com>
- rebuilt

* Mon Oct 25 2004 Peter Vrabec <pvrabec@redhat.com>
- uucppublic change attr from 755 to 775 (#135335)

* Mon Oct 25 2004 Peter Vrabec <pvrabec@redhat.com>
- add dependencie tetex

* Thu Oct 14 2004 Peter Vrabec <pvrabec@redhat.com>
- fix spec file (#134328)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  8 2004 Jeff Johnson <jbj@jbj.org> 1.07-1
- upgrade to 1.07.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Nov 12 2002 Jeff Johnson <jbj@redhat.com> 1.06.1-46
- rebuild from cvs.

* Sat Jul 20 2002 Akira TAGOH <tagoh@redhat.com> 1.06.1-45
- don't strip the binary.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 10 2002 Bill Huang <bhuang@redhat.com>
- Fix to deny to use address in pipe ports.(thanks joery@dorchain.net)(#60771)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Feb  1 2002 Jeff Johnson <jbj@redhat.com>
- typo caused man8 pages to not be included (#54314).

* Fri Jan 31 2002 Bill Nottingham <notting@redhat.com>
- rebuild in new env. autoconf is fun!

* Mon Jan 28 2002 Jeff Johnson <jbj@redhat.com>
- filter all the long option aliases as well.

* Thu Jan 10 2002 Adrian Havill <havill@redhat.com>
- bumped version & rebuild for errata, changed spec "Copyright->License"

* Tue Sep  4 2001 Jeff Johnson <jbj@redhat.com>
- build against lockdev-1.0.0-14, with
-   swap egid and gid for lockdev's access(2) device check (#52029).
- add (noreplace) to all config files.

* Tue Aug 28 2001 Jeff Johnson <jbj@redhta.com>
- move per-system lock to 755 uucp.uucp /var/lock/uucp directory.
- use baudboy.h to create per-device lock(s) in /var/lock.
- comment out compress/strip, rely on rpm brp-* scripts.
- check uuxqt arguments more carefully.

* Thu Aug  9 2001 Adrian Havill <havill@redhat.com>
- During build don't assume uid name == gid name (bug 14874)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Sat Jan  6 2001 Jeff Johnson <jbj@redhat.com>
- compile with owner=uucp.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun  2 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.
- map perms/owners into %%files to build as non-root.

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Sun Feb 13 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change perms to be root:root for the config files and
  0640,root:uucp for config files containing passwords
- add patch from #6151 (division by zero, SIGFPE)
- make %post work also for simple sh-versions

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Mon Aug 23 1999 Jeff Johnson <jbj@redhat.com>
- add notifempty/missingok to logrotate config file (#4138).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 19)

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- expunge /usr/local/bin/perl reference in docs

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild
- added sample config files in /etc/uucp

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups
- added install-info support
- uses a build root

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- patched uureroute to find perl in /usr/bin instead of /usr/local/bin
- made log files ghosts

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Brian Candler fixed /usr/lib/uucp/uucico symlink
- Added "create" entries to log file rotation configuration
- Touch log files on install if they don't already exist to allow proper
  rotation

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- symlinked /usr/sbin//uucico into /usr/lib/uucp
- (all of these changes are from Brian Candler <B.Candler@pobox.com>)
- sgid bit added on uucico so it can create lock files
- log files moved to /var/log/uucp/ owned by uucp (so uucico can create them)
- log rotation added
- uses /etc/uucp/oldconfig instead of /usr/lib/uucp for old config files
- package creates /etc/uucp and /etc/uucp/oldconfig directories
- man pages reference the correct locations for spool and config files

